/*
Theme Name: le bois du penseur
Description: Theme pour le site du bois du penseur
Author: Chibitetsuo pour earthdesign
Author URI: www.earthdesign.fr
Template: Divi
Version: 1.0
*/

/*
 ______            _____   _______  _    _  _____   ______   _____  _____   _____  _   _
|  ____|    /\    |  __ \ |__   __|| |  | ||  __ \ |  ____| / ____||_   _| / ____|| \ | |
| |__      /  \   | |__) |   | |   | |__| || |  | || |__   | (___    | |  | |  __ |  \| |
|  __|    / /\ \  |  _  /    | |   |  __  || |  | ||  __|   \___ \   | |  | | |_ || . ` |
| |____  / ____ \ | | \ \    | |   | |  | || |__| || |____  ____) | _| |_ | |__| || |\  |
|______|/_/    \_\|_|  \_\   |_|   |_|  |_||_____/ |______||_____/ |_____| \_____||_| \_|



*/ 


/* 
** CENTRER DU CONTENU VERTICALEMENT 
*/

.dc-centrer-verticalement {
	display: flex;
	flex-direction: column;
	justify-content: center;
  	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-webkit-flex-direction: column;
	 -moz-box-orient: vertical;
	 -moz-box-direction: normal;
	  -ms-flex-direction: column;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	-moz-box-pack: center;
	-ms-flex-pack: center;
}


/*
** INVERSER LE SENS DES COLONNES SUR MOBILE
*/

@media only screen and (max-width : 980px) {
	.dc-inverser-colonnes--section .dc-inverser-colonnes--ligne {
		display: -webkit-flex;
		display: -ms-flex;
		display: flex;
		-webkit-flex-direction: column-reverse;
		-ms-flex-direction: column-reverse;
		flex-direction: column-reverse;
	}
}

/* overflow hiden */
html, body{
	overflow-x: hidden!important;
}
/* Préfixes pour compatibilité */
html, body {
    overflow-x: -moz-hidden-unscrollable!important;
    overflow-x: -webkit-hidden!important;
    overflow-x: -ms-hidden!important;

}


/*
** MENU MOBILE : en pleine largeur et le hamburger devient une croix pour fermer
*/

.et_mobile_menu {
	margin-left: -30px;
	padding: 5%;
	width: calc( 100% + 60px);
}

.mobile_nav.opened .mobile_menu_bar:before {
	content: "\4d";
}


/* 
** AUGMENTER LA LARGEUR CHAMP RÉSULTAT CAPTCHA 
** Parfois, suivant la taille du texte, certains chiffres du résultat sont masqués
*/
.et_pb_contact_right p input {
	max-width: 50px;
}


/*
** METTRE EXPOSANTS ET INDICES À LA BONNE TAILLE
** Généralement, ils sont bien trop gros…
*/
sup, sub {
    font-size: 70%;
}
/* bar de menu */
#BarMenu{
a::after {
	content: '';
    position: absolute;
	bottom: 20%;
	left: 0;
	width: 100%;
	height: 0.1em;
	background-color: #ff4500;
	opacity: 0;
	transition: opacity 300ms, transform 300ms;
  }
  
  a:hover::after,
  a:focus::after {
	opacity: 1;
	transform: translate3d(0, 0.2em, 0);
  }
  
}
#BarMenu > div > div.et_pb_menu__wrap > button{
	content: url(https://www.leboisdupenseur.fr/wp-content/uploads/2025/02/search.png);
    width: 70px;
    height: 50px;
    margin-top:3px;
    padding-left: 11px;
    padding-right: 11px;

}
.woocommerce-MyAccount-navigation, .woocommerce-MyAccount-tabs {
	display: none;
}
.et_mobile_menu{
    position: relative!important;
}
#et-boc > header > div > div.et_pb_section.et_pb_section_0_tb_header.et_pb_section_video.et_pb_with_background.et_section_regular.et_pb_section--with-menu > div.et_pb_with_border.et_pb_row.et_pb_row_2_tb_header.et_pb_row--with-menu{
    width: fit-content!important;
}

/* menu slider */
#sp-woo-product-slider-525.sp-wps-custom-template .wps-product-image .wpsf-product-img, #sp-woo-product-slider-525.sp-wps-theme_one .wps-product-image{
	width: 200px;
}
#sp-woo-product-slider-525 > div.wpsp-nav.swiper-button-prev{
	top: 50%;
	right: auto;
    background-image: url(https://www.leboisdupenseur.fr/wp-content/uploads/2025/01/feuillegauche.png);
    background-size: cover;
    width: 50px;
    height: 50px;


}
#sp-woo-product-slider-525 > div.wpsp-nav.swiper-button-next{
	top: 50%;
    background-image: url(https://www.leboisdupenseur.fr/wp-content/uploads/2025/01/feuilledroite.png);
    background-size: cover;
    width: 50px;
    height: 50px;



}
#wps-slider-section #sp-woo-product-slider-525.wps-product-section .wpsp-nav{
    border: none;
}
#wps-slider-section #sp-woo-product-slider-525.wps-product-section .wpsp-nav:hover{
    scale:1.1;
    background-color: transparent;
}
#sp-woo-product-slider-525 > div.wpsp-nav.swiper-button-prev > i{
    display: none!important;
}
#sp-woo-product-slider-525 > div.wpsp-nav.swiper-button-next > i{
    display: none!important;
}
#GallerieAccueil{
margin-right:0!important;

}
/* element flottant site */
#FougereUn{
position: relative;
}
#FougereUn>.et_pb_image_wrap {
    position: absolute!important;
    right: 0;
}
#AmpouleUn{
    position: relative;
}
#AmpouleUn>.et_pb_image_wrap{
    position: absolute!important;
    left: 0;
}
#FougereDeux{
position: relative;
}
#FougereDeux>.et_pb_image_wrap{
    position: absolute!important;
    left: 0;
}
#FeuilleUn{
	position: relative;
}
#FeuilleUn>.et_pb_image_wrap{
	position: absolute!important;
	right: 0;
}
#FeuilleDeux{
	position: relative;
}
#FeuilleDeux>.et_pb_image_wrap{
	position: absolute!important;
	right: 0;
}
#AmpouleDeux{
    position: relative;
}
#AmpouleDeux>.et_pb_image_wrap{
    position: absolute!important;
    right: 0;
}
/* menu mobile deroulant */
#mobile_menu1{
	background-color: transparent!important;
	box-shadow: none;
	border-top:none;
}
.et_mobile_menu li a{
	border-bottom: none;
}
/* product filter modification */
#post-6 > div > div > div > div.et_pb_section.et_pb_section_1.et_section_regular > div > div > div.et_pb_module.et_pb_code.et_pb_code_0 > div > form > div.wpf_items_wrapper.wpf_layout_horizontal.wpf_items_grouped > div{
	border-color: #ff4500!important;
	color: #ff4500!important;
}
/* menu filtre */
#post-6 > div > div > div > div.et_pb_section.et_pb_section_1.et_section_regular > div > div > div.et_pb_module.et_pb_code.et_pb_code_0 > div > form > div.wpf_items_wrapper.wpf_layout_horizontal.wpf_items_grouped > div > div > ul > li.wpf_product_cat_48{
	display: none!important;
}
/* menu coté panier */
.xoo-wsc-product{
    border: solid 1px #ff4500;
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-basket > span.xoo-wsc-bki.xoo-wsc-icon-shopping-bag1{
    background-image: url(https://www.leboisdupenseur.fr/wp-content/uploads/2025/02/caddie.png);
    background-size: 50px;
    color: transparent;
    background-position: center;
    transform: scaleX(-1);
}
body > div.xoo-wsc-markup > div > div > div.xoo-wsc-header > div > div.xoo-wsch-basket > span.xoo-wscb-icon.xoo-wsc-icon-bag2{
    background-image: url(https://www.leboisdupenseur.fr/wp-content/uploads/2025/02/caddie.png);
    background-size: 50px;
    color: transparent;
    background-position: center;
    transform: scaleX(-1);
}

body > div.xoo-wsc-markup > div > div > div.xoo-wsc-header > div > div.xoo-wsch-basket > span.xoo-wscb-count{
	display: none!important;
}
/* login menu */

#loginform{
	border: solid 1px #ff4500!important;
}
/* couleur pagination */
#post-6 > div > div > div > div.et_pb_section.et_pb_section_1.et_section_regular > div > div > div.et_pb_with_border.et_pb_module.et_pb_shop.et_pb_shop_0.et_pb_text_align_center.et_pb_shop_no_rating.et_pb_shop_no_sale_badge > div > nav > ul > li:nth-child(n) > a{
    color: #ff4500!important;
}
/* image login logout */
.menu-item-login img,
.menu-item-logout img {
    width: 50px;
    height: 50px;
}

.menu-item-login img:hover,
.menu-item-logout img:hover {
    opacity: 0.8;
}
#menu-navbar > li.menu-item.menu-item-logout > a{
    margin-top:-6px!important;
}
#menu-navbar > li.menu-item.menu-item-login > a{
    margin-top:-6px!important;
}
/* Par défaut, afficher les icônes et masquer les textes */
.menu-text {
    display: none;
}
.et_pb_toggle_open .et_pb_toggle_content {
    display: block !important;
}
/* bar de recherche modif graphique */
#BarMenu > div > div.et_pb_menu__search-container.et_pb_menu__search-container--visible.et_pb_no_animation > div > div > form > div{
    background: transparent!important;
}
#BarMenu > div > div.et_pb_menu__search-container.et_pb_no_animation.et_pb_menu__search-container--visible > div > div > form > div{
    background: transparent;
}
#dgwt-wcas-search-input-1{
    background: transparent;
}
.dgwt-wcas-style-pirx.dgwt-wcas-search-focused .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input{
    border-color: transparent!important;
}

body > div.dgwt-wcas-suggestions-wrapp.woocommerce.dgwt-wcas-has-img.dgwt-wcas-has-headings.js-dgwt-wcas-initialized{
    border-radius:10px !important;
    box-shadow: 0 0 10px 5px rgba(255,255,255,0.5)!important;
    backdrop-filter: blur(5px);
    filter: opacity(70%);
    
}
.woocommerce .woocommerce-error, .woocommerce .woocommerce-info, .woocommerce .woocommerce-message{
    background-color: #ff4500;
    border-radius: 10px;
}

@media (max-width: 980px) {
    /* En dessous de 980px, masquer les icônes et afficher les textes */
    #mobile_menu1 > li.menu-item.menu-item-logout > a > img {
        display: none;
    }
    #mobile_menu1 > li.menu-item.menu-item-login > a > img {
        display: none;
    }
    .menu-text {
        display: inline;
    }
}

/* enlevé le zoom sur les produits */
.woocommerce-product-gallery__image img:hover,
.woocommerce ul.products li.product a img:hover {
    transform: none !important;
}
.woocommerce-product-gallery__image img,
.woocommerce ul.products li.product a img {
    transition: none !important;
}

